Bug 211981 - LVS VIP unreachable when interfaces are restarted
LVS VIP unreachable when interfaces are restarted
Status: CLOSED WONTFIX
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: piranha (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Grac
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-24 06:34 EDT by Bryn M. Reeves
Modified: 2009-04-16 16:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-15 15:10:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryn M. Reeves 2006-10-24 06:34:18 EDT
Description of problem:
A service network restart or ifdown/ifup on the interface to which the LVS VIP
is bound causes the VIP to become unreachable until the pulse service is also
restarted.

The monitor_links option is enabled on both LVS routers.

This is related to bug 164576 and bug 160103 (in bug 160103 ifdown was suggested
as a means to test monitor_links but this does not work).

How reproducible:
100%

Steps to Reproduce:
1. Configure an LVS router with backup
2. Enable monitor_links on both LVSs
3. Run service network restart or ifdown/ifup
  
Actual results:
The VIP is not reinstated on the primary when the interface is brought back up
and does not fail over to the backup when the interface is brought down.

Expected results:
The VIP should be reinstated on the primary LVS router when the interface comes
back up. Failing over to the secondary LVS may also be an option but this does
not happen either.
Comment 2 Bryn M. Reeves 2007-01-26 14:23:09 EST
Ping. Any news on this?

Thanks,
Comment 3 Kiersten (Kerri) Anderson 2007-02-13 12:51:28 EST
Stan, any update on this one.  Support is asking.  I put it on the requested
list for 4.5.
Comment 4 Lon Hohberger 2007-02-14 12:41:31 EST
I've updated 160103 to note that you actually have to pull the cable, and linked
to the correct test procedure, which is listed in #164576:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=164576#c5

I think restarting the interfaces is a "don't do that" case which can be release
noted (e.g. if you do this, you must restart pulse, too).

To fix it, I think what would need to be done is that piranha would have to be
able to detect this event (hard? probably stuff in netlink to figure this out)
and issue a gratuitous ARP for each VIP (not hard).
Comment 7 Lon Hohberger 2007-06-14 15:53:39 EDT
Reassigning to component owner

Note You need to log in before you can comment on or make changes to this bug.